com.verisign.epp.interfaces

## Class EPPLoginSecLoginAdapter

- java.lang.Object
- - com.verisign.epp.interfaces.EPPLoginSecLoginAdapter

- All Implemented Interfaces:
    EPPLoginAdapter

      public class EPPLoginSecLoginAdapter
      extends java.lang.Object
      implements EPPLoginAdapter

  Interface that can be implemented and configured to be called by `EPPSession` to customize the `EPPLoginCmd` prior to sending it. Both the server's `EPPGreeting` and the original `EPPLoginCmd` is provided. The adapter can modify the `EPPLoginCmd` that will then be sent.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLoginSecLoginAdapter()` Constructor that will retrieve the useUserAgent attribute value from `EPPEnv`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adaptLogin(EPPLoginCmd aLoginCmd, EPPGreeting aGreeting)` Adapt the `EPPLoginCmd` `aLoginCmd` parameter based on the current state of the `EPPLoginCmd` and the contents of the `EPPGreeting` `aGreeting` parameter sent by the server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPLoginSecLoginAdapter

          public EPPLoginSecLoginAdapter()

      Constructor that will retrieve the useUserAgent attribute value from `EPPEnv`.

  - ### Method Detail

    - #### adaptLogin

          public void adaptLogin(EPPLoginCmd aLoginCmd,
                                 EPPGreeting aGreeting)
                          throws EPPCommandException

      Adapt the `EPPLoginCmd` `aLoginCmd` parameter based on the current state of the `EPPLoginCmd` and the contents of the `EPPGreeting` `aGreeting` parameter sent by the server.
      Specified by:
        `adaptLogin` in interface `EPPLoginAdapter`
      Parameters:
        `aLoginCmd` - Original `EPPLoginCmd` created by `EPPSession` that can be adapted by the concrete `EPPLoginAdapter`.
        `aGreeting` - `EPPGreeting` returned by the server that can be used to drive the adapting of the `EPPLoginCmd`.
      Throws:
        `EPPCommandException` - Error found with adapting the login